com.holonplatform.core

## Enum Validator.ValidationMessage

- java.lang.Object
- - java.lang.Enum<Validator.ValidationMessage>
  - - com.holonplatform.core.Validator.ValidationMessage

- All Implemented Interfaces:
    Localizable, Serializable, Comparable<Validator.ValidationMessage>
  Enclosing interface:
    Validator<T>

      public static enum Validator.ValidationMessage
      extends Enum<Validator.ValidationMessage>
      implements Localizable

  Validation messages for common validators

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.i18n.Localizable

      `Localizable.Builder<B extends Localizable.Builder<B>>, Localizable.LocalizableBuilder, Localizable.LocalizationException`

  - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DIGITS` Default is validation error message
    `EMAIL` Default email validation error message
    `FUTURE` Default future validation error message
    `GREATER_OR_EQUAL` Default greaterOrEqual validation error message
    `GREATER_THAN` Default greaterThan validation error message
    `IN` Default in validation error message
    `LESS_OR_EQUAL` Default lessOrEqual validation error message
    `LESS_THAN` Default lessThan validation error message
    `MAX` Default max validation error message
    `MIN` Default min validation error message
    `NOT_BLANK` Default notBlank validation error message
    `NOT_EMPTY` Default notEmpty validation error message
    `NOT_IN` Default notIn validation error message
    `NOT_NEGATIVE` Default notNegative validation error message
    `NOT_NULL` Default notNull validation error message
    `NOT_ZERO` Default notZero validation error message
    `NULL` Default null validation error message
    `PAST` Default past validation error message
    `PATTERN` Default pattern validation error message

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getMessage()` Get the default message to use if a `Localizable.getMessageCode()` is not available or a localized message which corresponds to the message code cannot be found or no localization handler is available for message translation.
    `String` | `getMessageCode()` Get the message code to use to obtain a localized message
    `static Validator.ValidationMessage` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Validator.ValidationMessage[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.holonplatform.core.i18n.Localizable

      `builder, getMessageArguments, of, of`

- - ### Enum Constant Detail

    - #### NULL

          public static final Validator.ValidationMessage NULL

      Default null validation error message

    - #### NOT_NULL

          public static final Validator.ValidationMessage NOT_NULL

      Default notNull validation error message

    - #### NOT_EMPTY

          public static final Validator.ValidationMessage NOT_EMPTY

      Default notEmpty validation error message

    - #### NOT_BLANK

          public static final Validator.ValidationMessage NOT_BLANK

      Default notBlank validation error message

    - #### MAX

          public static final Validator.ValidationMessage MAX

      Default max validation error message

    - #### MIN

          public static final Validator.ValidationMessage MIN

      Default min validation error message

    - #### PATTERN

          public static final Validator.ValidationMessage PATTERN

      Default pattern validation error message

    - #### IN

          public static final Validator.ValidationMessage IN

      Default in validation error message

    - #### NOT_IN

          public static final Validator.ValidationMessage NOT_IN

      Default notIn validation error message

    - #### DIGITS

          public static final Validator.ValidationMessage DIGITS

      Default is validation error message

    - #### NOT_NEGATIVE

          public static final Validator.ValidationMessage NOT_NEGATIVE

      Default notNegative validation error message

    - #### NOT_ZERO

          public static final Validator.ValidationMessage NOT_ZERO

      Default notZero validation error message

    - #### PAST

          public static final Validator.ValidationMessage PAST

      Default past validation error message

    - #### FUTURE

          public static final Validator.ValidationMessage FUTURE

      Default future validation error message

    - #### LESS_THAN

          public static final Validator.ValidationMessage LESS_THAN

      Default lessThan validation error message

    - #### LESS_OR_EQUAL

          public static final Validator.ValidationMessage LESS_OR_EQUAL

      Default lessOrEqual validation error message

    - #### GREATER_THAN

          public static final Validator.ValidationMessage GREATER_THAN

      Default greaterThan validation error message

    - #### GREATER_OR_EQUAL

          public static final Validator.ValidationMessage GREATER_OR_EQUAL

      Default greaterOrEqual validation error message

    - #### EMAIL

          public static final Validator.ValidationMessage EMAIL

      Default email validation error message

  - ### Method Detail

    - #### values

          public static Validator.ValidationMessage[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Validator.ValidationMessage c : Validator.ValidationMessage.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Validator.ValidationMessage valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getMessageCode

          public String getMessageCode()

      Description copied from interface: `Localizable`
      Get the message code to use to obtain a localized message
      Specified by:
        `getMessageCode` in interface `Localizable`
      Returns:
        Message code

    - #### getMessage

          public String getMessage()

      Description copied from interface: `Localizable`
      Get the default message to use if a `Localizable.getMessageCode()` is not available or a localized message which corresponds to the message code cannot be found or no localization handler is available for message translation.
      Specified by:
        `getMessage` in interface `Localizable`
      Returns:
        Default message

Copyright © 2019 The Holon Platform. All rights reserved.